%global momorel 3
%global mozlibdir %(pkg-config --variable=libdir libxul)
%global mozsdkdir %(pkg-config --variable=sdkdir libxul)
%global mozincdir %(pkg-config --variable=includedir libxul)
%global mozidldir %(pkg-config --variable=idldir libxul)

%define objdir 		objdir
%define hgver		20100111hg

Summary:        Python interface for mozilla XPCOM library
Name:           xulrunner-python
Version:        1.9.2
Release:        %{momorel}m%{?dist}
URL:            http://developer.mozilla.org/en/PyXPCOM
License:        MPLv1.1 or GPLv2+ or LGPLv2+
Group:          Applications/Internet
# Get by hg clone http://hg.mozilla.org/pyxpcom pyxpcom/src
Source0:        pyxpcom-%{version}-%{hgver}.tar.bz2

# build patches
Patch0:         xpcom-dynstr.patch

# ---------------------------------------------------

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  gecko-devel >= %{version}
BuildRequires:  autoconf213
BuildRequires:  python-devel
Requires:       gecko-libs >= %{version}

%description
Files needed to run Gecko applications written in python.

%package devel
Summary: Development files for python XPCOM interface
Group: Development/Libraries
Requires: xulrunner-python = %{version}

%description devel
Development files for building Gecko applications written in python.

#---------------------------------------------------------------------

%prep
%setup -q -c
%patch0  -p1 -b .dynstr

mkdir %{objdir}
autoconf-2.13

#---------------------------------------------------------------------

%build
cd %{objdir} 
../configure --with-libxul-sdk=`pkg-config --variable=sdkdir libxul` \
             --with-system-nspr  \
             --prefix=%{_prefix} \
             --libdir=%{_libdir}
make

#---------------------------------------------------------------------

%install
%{__rm} -rf $RPM_BUILD_ROOT

%define distdir 	objdir/dist/bin
%define includedir 	objdir/dist/include
%define idldir 		objdir/dist/idl

%{__mkdir_p} %{buildroot}%{mozlibdir}
cp -r %{distdir}/* %{buildroot}%{mozlibdir}

%{__mkdir_p} %{buildroot}%{mozincdir}/pyxpcom
cp -r %{includedir}/* %{buildroot}%{mozincdir}/pyxpcom

%{__mkdir_p} %{buildroot}%{mozidldir} 
cp -r %{idldir}/* %{buildroot}%{mozidldir}

%{__mkdir_p} %{buildroot}%{mozsdkdir}/sdk/lib
ln -s %{mozlibdir}/libpyxpcom.so %{buildroot}%{mozsdkdir}/sdk/lib

#---------------------------------------------------------------------

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#---------------------------------------------------------------------

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%{mozlibdir}/chrome/*
%{mozlibdir}/components/*
%{mozlibdir}/defaults/*
%{mozlibdir}/libpyxpcom.so
%dir %{mozlibdir}/python
%dir %{mozlibdir}/python/nsdom
%{mozlibdir}/python/nsdom/*
%dir %{mozlibdir}/python/xpcom
%{mozlibdir}/python/xpcom/*

%files devel
%defattr(-,root,root,-)
%dir %{mozincdir}/pyxpcom
%{mozincdir}/pyxpcom/*
%{mozsdkdir}/sdk/lib/libpyxpcom.so
%{mozidldir}/*

#---------------------------------------------------------------------

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (1.9.2-3m)
- full rebuild for mo7 release

* Thu Feb  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.9.2-2m)
- rewrite %%install and %%files

* Tue Feb  2 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.9.2-1m)
- import from Rawhide

* Wed Nov 25 2009 Martin Stransky <stransky@redhat.com> 1.9.2-2.20100111hg
- created as standalone package
